Manifest-Version: 1.0
Bnd-LastModified: 1751442928723
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Workflow Kaleo Runtime Scripting Implement
 ation
Bundle-SymbolicName: com.liferay.portal.workflow.kaleo.runtime.scripti
 ng.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.10.hotfix-6739-7413
Created-By: 1.8.0_381 (Oracle Corporation)
DynamicImport-Package: *
Import-Package: com.liferay.osgi.util;version="2.3",com.liferay.portal
 .kernel.exception;version="12.3",com.liferay.portal.kernel.log;versio
 n="7.1",com.liferay.portal.kernel.resource;version="6.3",com.liferay.
 portal.kernel.scripting;version="9.0",com.liferay.portal.kernel.util;
 version="45.0",com.liferay.portal.rules.engine;version="2.0",com.life
 ray.portal.workflow.kaleo;version="2.0",com.liferay.portal.workflow.k
 aleo.model;version="5.1",com.liferay.portal.workflow.kaleo.runtime;ve
 rsion="5.0",com.liferay.portal.workflow.kaleo.runtime.action.executor
 ;version="1.0",com.liferay.portal.workflow.kaleo.runtime.assignment;v
 ersion="2.0",com.liferay.portal.workflow.kaleo.runtime.condition;vers
 ion="1.0",com.liferay.portal.workflow.kaleo.runtime.notification.reci
 pient.script;version="2.0",com.liferay.portal.workflow.kaleo.runtime.
 util;version="1.1",org.osgi.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Workflow
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.workflow.kaleo.runtime.scripting.i
 nternal.action,com.liferay.portal.workflow.kaleo.runtime.scripting.in
 ternal.assignment,com.liferay.portal.workflow.kaleo.runtime.scripting
 .internal.component.enabler,com.liferay.portal.workflow.kaleo.runtime
 .scripting.internal.condition,com.liferay.portal.workflow.kaleo.runti
 me.scripting.internal.notification.recipient.script,com.liferay.porta
 l.workflow.kaleo.runtime.scripting.internal.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.workflow.kaleo.runtime.action.executor.ActionExecutor";uses:=
 "com.liferay.portal.workflow.kaleo.runtime.action.executor",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.workflow.kaleo.runti
 me.assignment.KaleoTaskAssignmentSelector";uses:="com.liferay.portal.
 workflow.kaleo.runtime.assignment",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.workflow.kaleo.runtime.condition.ConditionEva
 luator";uses:="com.liferay.portal.workflow.kaleo.runtime.condition",o
 sgi.service;objectClass:List<String>="com.liferay.portal.workflow.kal
 eo.runtime.notification.recipient.script.NotificationRecipientEvaluat
 or";uses:="com.liferay.portal.workflow.kaleo.runtime.notification.rec
 ipient.script",osgi.service;objectClass:List<String>="com.liferay.por
 tal.workflow.kaleo.runtime.scripting.internal.util.KaleoScriptingEval
 uator";uses:="com.liferay.portal.workflow.kaleo.runtime.scripting.int
 ernal.util",osgi.service;objectClass:List<String>="com.liferay.portal
 .workflow.kaleo.runtime.util.ScriptingContextBuilder";uses:="com.life
 ray.portal.workflow.kaleo.runtime.util"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.scripting.Scripting)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.rules.engine.RulesEngine)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.wor
 kflow.kaleo.KaleoTaskAssignmentFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.workflow.kaleo.KaleoWorkf
 lowModelConverter)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.workflow.kaleo.runtime.scripting.internal.util
 .KaleoScriptingEvaluator)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.workflow.kaleo.runtime.util.RulesContex
 tBuilder)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.workflow.kaleo.runtime.util.ScriptingContextBuilder)";e
 ffective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.compone
 nt)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=
 JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.
 scripting.internal.action.DRLActionExecutor.xml,OSGI-INF/com.liferay.
 portal.workflow.kaleo.runtime.scripting.internal.action.ScriptActionE
 xecutor.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.script
 ing.internal.assignment.DRLScriptingKaleoTaskAssignmentSelector.xml,O
 SGI-INF/com.liferay.portal.workflow.kaleo.runtime.scripting.internal.
 assignment.ScriptingLanguagesKaleoTaskAssignmentSelector.xml,OSGI-INF
 /com.liferay.portal.workflow.kaleo.runtime.scripting.internal.compone
 nt.enabler.ComponentEnabler.xml,OSGI-INF/com.liferay.portal.workflow.
 kaleo.runtime.scripting.internal.condition.DRLConditionEvaluator.xml,
 OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.scripting.internal
 .condition.ScriptingConditionEvaluator.xml,OSGI-INF/com.liferay.porta
 l.workflow.kaleo.runtime.scripting.internal.notification.recipient.sc
 ript.DRLNotificationRecipientEvaluator.xml,OSGI-INF/com.liferay.porta
 l.workflow.kaleo.runtime.scripting.internal.notification.recipient.sc
 ript.ScriptingNotificationRecipientEvaluator.xml,OSGI-INF/com.liferay
 .portal.workflow.kaleo.runtime.scripting.internal.util.KaleoScripting
 Evaluator.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.scri
 pting.internal.util.ScriptingContextBuilderImpl.xml
Tool: Bnd-4.3.0.201909301554

